AuFile Class Reference

a CvrStgFile in Sun .au format

`#include <AuFile.h>`

Inheritance diagram for AuFile:

## Classes

class | AuHeader

## Public Member Functions

| AuFile (BinaryIO *io)
| ~AuFile (void)
void | read (BinaryIO *io)
void | write (void)
std::list< CvrStgFile::Property > | getProperties (void) const
std::vector< MatchingAlgorithm * > | getMatchingAlgorithms (Graph *g, Matching *m) const
unsigned long | getNumSamples (void) const
void | replaceSample (const SamplePos pos, const SampleValue *s)
SampleValue * | getSampleValue (SamplePos pos) const
Public Member Functions inherited from CvrStgFile
| CvrStgFile (void)
virtual | ~CvrStgFile (void)
void | transform (const std::string &fn)
virtual std::vector< SampleValueAdjacencyList * > | calcSVAdjacencyLists (const std::vector< SampleValue * > &svs) const
const std::string & | getName (void) const
bool | is_std (void) const
unsigned long | getCapacity (void) const
std::string | getHRCapacity (void) const
unsigned short | getSamplesPerVertex (void) const
UWORD32 | getRadius (void) const
EmbValue | getEmbValueModulus (void) const
virtual EmbValue | getEmbeddedValue (const SamplePos pos) const

## Private Types

enum | ENCODING { MULAW8 = 1 , PCM8 = 2 , PCM16 = 3 }

## Private Attributes

AuHeader | Header
std::vector< BYTE > | Infofield
AudioData * | Data

## Static Private Attributes

static const UWORD32 | Radius_MuLaw8 = 1
static const UWORD32 | Radius_PCM8 = 1
static const UWORD32 | Radius_PCM16 = 20
static const unsigned short | SamplesPerVertex = 2
static const EmbValue | EmbValueModulus = 2

## Additional Inherited Members

Static Public Member Functions inherited from CvrStgFile
static CvrStgFile * | readFile (const std::string &fn)
Protected Member Functions inherited from CvrStgFile
void | setSamplesPerVertex (unsigned short spv)
void | setRadius (UWORD32 r)
void | setEmbValueModulus (EmbValue m)
void | setBinIO (BinaryIO *io)
BinaryIO * | getBinIO (void) const

## Member Enumeration Documentation

## ENCODING

enum AuFile::ENCODING

private

Enumerator
MULAW8 |
PCM8 |
PCM16 |

## Constructor & Destructor Documentation

## AuFile()

AuFile::AuFile | ( | BinaryIO * | io | ) |

## ~AuFile()

AuFile::~AuFile | ( | void |  | ) |

## Member Function Documentation

## getMatchingAlgorithms()

std::vector< MatchingAlgorithm * > AuFile::getMatchingAlgorithms | ( | Graph * | g,
|  | Matching * | m ) const

virtual

get recommended list of matching algorithms

Parameters

  m | an empty matching - will be used in construction of MatchingAlgorithm objects

The MatchingAlgorithm objects returned by this function should be deleted by the caller if they are no longer needed.

Reimplemented from CvrStgFile.

## getNumSamples()

unsigned long AuFile::getNumSamples | ( | void |  | ) | const

inline virtual

get the number of samples in this CvrStgObject

Implements CvrStgObject.

## getProperties()

std::list< CvrStgFile::Property > AuFile::getProperties | ( | void |  | ) | const

virtual

Implements CvrStgFile.

## getSampleValue()

SampleValue * AuFile::getSampleValue | ( | SamplePos | pos | ) | const

inline virtual

get the sample at position pos

Parameters

  pos | the position of a sample (must be in 0...getNumSamples()-1)

Returns
  the sample at the given position

The sample object is created in this function and should be deleted by the caller. The derived class should check the condition(s) given above in its Implementation of this function.

Implements CvrStgObject.

## read()

void AuFile::read | ( | BinaryIO * | io | ) |

virtual

Reimplemented from CvrStgFile.

## replaceSample()

void AuFile::replaceSample | ( | const SamplePos | pos,
|  | const SampleValue * | s )

inline virtual

replace a sample thus (possibly) altering the value of the bit returned by SampleValue->getBit()

Parameters

  pos | the position of the sample (must be in 0...getNumSamples()-1)
  s | the sample value that should replace the current sample value (must be of correct type for this CvrStgObject)

The derived class should check the condition(s) given above in its Implementation of this function.

Implements CvrStgObject.

## write()

void AuFile::write | ( | void |  | ) |

virtual

Reimplemented from CvrStgFile.

## Member Data Documentation

## Data

AudioData* AuFile::Data

private

## EmbValueModulus

const EmbValue AuFile::EmbValueModulus = 2

static private

## Header

AuHeader AuFile::Header

private

## Infofield

std::vector<BYTE> AuFile::Infofield

private

## Radius_MuLaw8

const UWORD32 AuFile::Radius_MuLaw8 = 1

static private

## Radius_PCM16

const UWORD32 AuFile::Radius_PCM16 = 20

static private

## Radius_PCM8

const UWORD32 AuFile::Radius_PCM8 = 1

static private

## SamplesPerVertex

const unsigned short AuFile::SamplesPerVertex = 2

static private

The documentation for this class was generated from the following files:

- AuFile.h
- AuFile.cc